> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Brand Technology

> Update a brand technology.

Requires: lakehouse:write permission



## OpenAPI

````yaml /openapi/merchantops-public.json put /api/lakehouse/technologies/{key}
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/lakehouse/technologies/{key}:
    put:
      tags:
        - Product Lakehouse
      summary: Update Brand Technology
      description: |-
        Update a brand technology.

        Requires: lakehouse:write permission
      operationId: update_brand_technology
      parameters:
        - in: path
          name: key
          required: true
          schema:
            title: Key
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties: true
              title: Updates
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandTechnologyResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    BrandTechnologyResponse:
      description: Response model for a brand technology.
      properties:
        applicable_categories:
          default: []
          items:
            type: string
          title: Applicable Categories
          type: array
        benefits:
          default: []
          items:
            type: string
          title: Benefits
          type: array
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        extracted_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Extracted At
        extracted_by_worker:
          anyOf:
            - type: string
            - type: 'null'
          title: Extracted By Worker
        extraction_confidence:
          anyOf:
            - type: number
            - type: 'null'
          title: Extraction Confidence
        key:
          title: Key
          type: string
        lastModifiedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastmodifiedat
        linked_product_keys:
          default: []
          items:
            type: string
          title: Linked Product Keys
          type: array
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        organization_id:
          title: Organization Id
          type: string
        page_number:
          anyOf:
            - type: integer
            - type: 'null'
          title: Page Number
        page_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Page Type
        product_names:
          default: []
          items:
            type: string
          title: Product Names
          type: array
        related_product_types:
          default: []
          items:
            type: string
          title: Related Product Types
          type: array
        related_products:
          default: []
          items:
            type: string
          title: Related Products
          type: array
        source_document_id:
          title: Source Document Id
          type: string
        source_document_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Document Url
        specifications:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Specifications
        technology_name:
          title: Technology Name
          type: string
        technology_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Technology Type
        use_cases:
          default: []
          items:
            type: string
          title: Use Cases
          type: array
        visual_asset_urls:
          default: []
          items:
            type: string
          title: Visual Asset Urls
          type: array
      required:
        - key
        - organization_id
        - technology_name
        - source_document_id
      title: BrandTechnologyResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````